Skip to main content
POST
/
v1
/
sandboxes
/
{id}
/
fork
Fork (clone) a running sandbox
import requests

url = "https://api.13-215-85-171.sslip.io/v1/sandboxes/{id}/fork"

headers = {
    "Idempotency-Key": "<idempotency-key>",
    "Authorization": "Bearer <token>"
}

response = requests.post(url, headers=headers)

print(response.text)
{ "id": "<string>", "config": { "vcpus": 123, "memory_mb": 123, "disk_mb": 123 }, "cwd": "<string>" }

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Headers

Idempotency-Key
string
required

Reuse the same key to safely retry the same create, reusable snapshot create, fork, upload create/complete, or agent deployment create operation without duplicating work.

Path Parameters

id
string
required

Sandbox ID (e.g. sb_a1b2c3d4)

Response

Forked sandbox created

id
string
required
status
enum<string>
required
Available options:
creating,
running,
paused,
destroyed,
error
config
object
required
cwd
string